Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
eztrade/user/datasupplier.php File Reference

Go to the source code of this file.

## Variables
| $PageCaching = $ini->variable( "eZTradeMain", "PageCaching")
| $user =& eZUser::currentUser()
| $ini =& eZINI::instance( 'site.ini' )
| $SiteDesign = $ini->variable( "site", "SiteDesign" )
| $RequireUser = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "enabled" ? true : false
| $ShowPrice = $RequireUser ? is_a( $user, "eZUser" ) : true
| $UserReviews = $ini->variable( "eZTradeMain", "UserReviews" )
| $PriceGroup = 0
| $GlobalSectionID = $ini->variable( "eZTradeMain", "DefaultSection" )
if( $user) | else

## Variable Documentation

## ◆ $GlobalSectionID

$GlobalSectionID = $ini->variable( "eZTradeMain", "DefaultSection" )

Definition at line 49 of file eztrade/user/datasupplier.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 34 of file eztrade/user/datasupplier.php.

## ◆ $PageCaching

$PageCaching = $ini->variable( "eZTradeMain", "PageCaching")

Definition at line 27 of file eztrade/user/datasupplier.php.

## ◆ $PriceGroup

$PriceGroup = 0

Definition at line 41 of file eztrade/user/datasupplier.php.

## ◆ $RequireUser

$RequireUser = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "enabled" ? true : false

Definition at line 37 of file eztrade/user/datasupplier.php.

## ◆ $ShowPrice

$ShowPrice = $RequireUser ? is_a( $user, "eZUser" ) : true

Definition at line 38 of file eztrade/user/datasupplier.php.

## ◆ $SiteDesign

$SiteDesign = $ini->variable( "site", "SiteDesign" )

Definition at line 35 of file eztrade/user/datasupplier.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 33 of file eztrade/user/datasupplier.php.

## ◆ $UserReviews

$UserReviews = $ini->variable( "eZTradeMain", "UserReviews" )

Definition at line 39 of file eztrade/user/datasupplier.php.

## ◆ else

if ($user) else

Initial value:
{
$groupIDArray = null

Definition at line 56 of file eztrade/user/datasupplier.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.